gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-www] branch stable updated: try to fix build


From: gnunet
Subject: [taler-www] branch stable updated: try to fix build
Date: Sun, 01 Dec 2019 21:35:49 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch stable
in repository www.

The following commit(s) were added to refs/heads/stable by this push:
     new ad2d592  try to fix build
ad2d592 is described below

commit ad2d592eb511f675c4f083bdb35e13a73bb43eeb
Author: Christian Grothoff <address@hidden>
AuthorDate: Sun Dec 1 21:35:47 2019 +0100

    try to fix build
---
 Makefile     | 18 +++++++++---------
 bootstrap    | 14 ++++++++++++++
 configure    | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.py | 31 +++++++++++++++++++++++++++++++
 4 files changed, 107 insertions(+), 9 deletions(-)

diff --git a/Makefile b/Makefile
index ac50510..5b329e7 100644
--- a/Makefile
+++ b/Makefile
@@ -11,7 +11,7 @@ include config.mk
 # All: build HTML pages in all languages and compile the
 # TypeScript logic in web-common.
 all: locale template
-       cd web-common && $(TSC)
+       cd web-common && $(tsc)
        /bin/sh make_sitemap.sh
        for x in en de fr it es ru pt ; do cp robots.txt rendered/$$x ; done
        for x in en de fr it es ru pt ; do cp favicon.ico rendered/$$x ; done
@@ -28,7 +28,7 @@ all: locale template
 
 # Extract translateable strings from jinja2 templates.
 locale/messages.pot: template/*.j2 common/*.j2 common/*.j2.inc
-       env PYTHONPATH="." $(BABEL) extract -F locale/babel.map -o 
locale/messages.pot .
+       env PYTHONPATH="." $(pybabel) extract -F locale/babel.map -o 
locale/messages.pot .
 
 # Update translation (.po) files with new strings.
 locale-update: locale/messages.pot
@@ -44,13 +44,13 @@ locale-update: locale/messages.pot
 
 # Compile translation files for use.
 locale-compile:
-       $(BABEL) compile -d locale -l en --use-fuzzy
-       $(BABEL) compile -d locale -l de --use-fuzzy
-       $(BABEL) compile -d locale -l fr --use-fuzzy
-       $(BABEL) compile -d locale -l it --use-fuzzy
-       $(BABEL) compile -d locale -l es --use-fuzzy
-       $(BABEL) compile -d locale -l ru --use-fuzzy
-       $(BABEL) compile -d locale -l pt --use-fuzzy
+       $(pybabel) compile -d locale -l en --use-fuzzy
+       $(pybabel) compile -d locale -l de --use-fuzzy
+       $(pybabel) compile -d locale -l fr --use-fuzzy
+       $(pybabel) compile -d locale -l it --use-fuzzy
+       $(pybabel) compile -d locale -l es --use-fuzzy
+       $(pybabel) compile -d locale -l ru --use-fuzzy
+       $(pybabel) compile -d locale -l pt --use-fuzzy
 
 # Process everything related to gettext translations.
 locale: locale-update locale-compile
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..82700e1
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Bootstrap the repository.  Used when the repository is checked out from git.
+# When using the source tarball, running this script is not necessary.
+
+set -eu
+
+if ! git --version >/dev/null; then
+  echo "git not installed"
+  exit 1
+fi
+
+git submodule update --init
+cp build-system/taler-build-scripts/configure ./configure
diff --git a/configure b/configure
new file mode 100755
index 0000000..4ffb738
--- /dev/null
+++ b/configure
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# This file is part of TALER
+# (C) 2019 GNUnet e.V.
+#
+# This is very simple POSIX sh script which
+# identifies the first matching
+# python3 identifier in $PATH and produces
+# configure.py from configure.py.in, and then
+# calls the new executable configure.py.
+#
+# It should be portable on Unices. Report bugs on
+# the bugtracker if you discover that it isn't
+# working as intended.
+#
+# Authors:
+# Author: ng0 <address@hidden>
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE
+# LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+# WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
+# THIS SOFTWARE.
+#
+# SPDX-License-Identifier: 0BSD
+
+# we invoke configure not as a symlink but as a copy,
+# so we have to use a fixed location for the repository!
+dir=$(dirname "$(readlink -f -- "$0")")/build-system/taler-build-scripts
+. $dir/sh/lib.sh/existence.sh
+. $dir/sh/lib.sh/existence_python.sh
+
+scriptpath=build-system/taler-build-scripts
+
+if ! test -d "$scriptpath"; then
+  echo "fatal error: taler-build-scripts not found at $scriptpath" >&2
+  exit 1
+fi
+
+export PYTHONPATH="$scriptpath:${PYTHONPATH:-}"
+
+# Call configure.py, assuming all went well.
+# $1 is read by configure.py as the prefix.
+# If $1 is empty, the python script checks the
+# environment for PREFIX. We might need more
+# variables and switches, such as DESTDIR.
+exec "$PYTHON" ./configure.py $@
diff --git a/configure.py b/configure.py
new file mode 100644
index 0000000..beea0c2
--- /dev/null
+++ b/configure.py
@@ -0,0 +1,31 @@
+import sys
+from pathlib import Path
+
+base_dir = Path(__file__, "../build-system/taler-build-scripts").resolve()
+
+if not base_dir.exists():
+    print(f"build system directory (${base_dir}) missing", file=sys.stderr)
+    sys.exit(1)
+
+sys.path.insert(0, str(base_dir))
+
+from talerbuildconfig import *
+
+b = BuildConfig()
+b.enable_prefix()
+b.enable_configmk()
+b.add_tool(PythonTool())
+b.add_tool(PyBabelTool())
+b.add_tool(PosixTool("cp"))
+b.add_tool(PosixTool("echo"))
+b.add_tool(PosixTool("env"))
+b.add_tool(PosixTool("printf"))
+b.add_tool(PosixTool("grep"))
+b.add_tool(PosixTool("mkdir"))
+b.add_tool(PosixTool("rm"))
+b.add_tool(PosixTool("sh"))
+b.add_tool(PosixTool("msgmerge"))
+b.add_tool(PosixTool("tsc"))
+b.add_tool(PosixTool("git"))
+b.add_tool(BrowserTool())
+b.run()

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]